<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019dbaa6-e743-7afd-8d77-d5ce8eab5b66,g:5aecf8b0-5278-43b5-8e2e-5f3d680758bd-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_019dbaa6-e829-7792-9207-c34f1ffabd40_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) financing activities, continuing operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_019dbaa6-e829-7ade-8117-681d1b67964d_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) investing activities, continuing operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations_019dbaa6-e829-7826-b406-23e4104650ef_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operating activities, continuing operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember_label_en" xlink:label="lab_nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Before Exceptional Items And Remeasurements, Netting [Member]</link:label>
    <link:label id="lab_nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember_documentation_en" xlink:label="lab_nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Before Exceptional Items And Remeasurements, Netting</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember" xlink:to="lab_nggtf_BeforeExceptionalItemsAndRemeasurementsNettingMember" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForSensitivities_label_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForSensitivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Sensitivities</link:label>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForSensitivities_documentation_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForSensitivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Sensitivities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DescriptionOfAccountingPolicyForSensitivities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DescriptionOfAccountingPolicyForSensitivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DescriptionOfAccountingPolicyForSensitivities" xlink:to="lab_nggtf_DescriptionOfAccountingPolicyForSensitivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_ExceptionalItemsAndRemeasurementsNettingMember_label_en" xlink:label="lab_nggtf_ExceptionalItemsAndRemeasurementsNettingMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional Items And Remeasurements, Netting [Member]</link:label>
    <link:label id="lab_nggtf_ExceptionalItemsAndRemeasurementsNettingMember_documentation_en" xlink:label="lab_nggtf_ExceptionalItemsAndRemeasurementsNettingMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Exceptional Items And Remeasurements, Netting</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_ExceptionalItemsAndRemeasurementsNettingMember" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_ExceptionalItemsAndRemeasurementsNettingMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_ExceptionalItemsAndRemeasurementsNettingMember" xlink:to="lab_nggtf_ExceptionalItemsAndRemeasurementsNettingMember" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_ConsolidatedIncomeStatementMember_label_en" xlink:label="lab_nggtf_ConsolidatedIncomeStatementMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated Income Statement [Member]</link:label>
    <link:label id="lab_nggtf_ConsolidatedIncomeStatementMember_documentation_en" xlink:label="lab_nggtf_ConsolidatedIncomeStatementMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Consolidated Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_ConsolidatedIncomeStatementMember" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_ConsolidatedIncomeStatementMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_ConsolidatedIncomeStatementMember" xlink:to="lab_nggtf_ConsolidatedIncomeStatementMember" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_TransactionsInOwnShares_label_en" xlink:label="lab_nggtf_TransactionsInOwnShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transactions In Own Shares</link:label>
    <link:label id="lab_nggtf_TransactionsInOwnShares_documentation_en" xlink:label="lab_nggtf_TransactionsInOwnShares" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Transactions In Own Shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_TransactionsInOwnShares" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_TransactionsInOwnShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_TransactionsInOwnShares" xlink:to="lab_nggtf_TransactionsInOwnShares" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DisclosureOfConsolidatedIncomeStatementTable_label_en" xlink:label="lab_nggtf_DisclosureOfConsolidatedIncomeStatementTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure Of Consolidated Income Statement [Table]</link:label>
    <link:label id="lab_nggtf_DisclosureOfConsolidatedIncomeStatementTable_documentation_en" xlink:label="lab_nggtf_DisclosureOfConsolidatedIncomeStatementTable" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Disclosure Of Consolidated Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DisclosureOfConsolidatedIncomeStatementTable" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DisclosureOfConsolidatedIncomeStatementTable"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DisclosureOfConsolidatedIncomeStatementTable" xlink:to="lab_nggtf_DisclosureOfConsolidatedIncomeStatementTable" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_ConsolidatedIncomeStatementAxis_label_en" xlink:label="lab_nggtf_ConsolidatedIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated Income Statement [Axis]</link:label>
    <link:label id="lab_nggtf_ConsolidatedIncomeStatementAxis_documentation_en" xlink:label="lab_nggtf_ConsolidatedIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Consolidated Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_ConsolidatedIncomeStatementAxis" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_ConsolidatedIncomeStatementAxis"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_ConsolidatedIncomeStatementAxis" xlink:to="lab_nggtf_ConsolidatedIncomeStatementAxis" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations_019dbaa6-e829-7f49-9597-0fafe5f7ee78_totalLabel_en" xlink:label="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Other Comprehensive Income/(Loss) For The Year, Net Of Tax, From Continuing Operations</link:label>
    <link:label id="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations_label_en" xlink:label="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other Comprehensive Income/(Loss) For The Year, Net Of Tax, From Continuing Operations</link:label>
    <link:label id="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations_documentation_en" xlink:label="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Other Comprehensive Income/(Loss) For The Year, Net Of Tax, From Continuing Operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations" xlink:to="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromContinuingOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities_label_en" xlink:label="lab_nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disposal Of Interest In Grain LNG, Classified As Investing Activities</link:label>
    <link:label id="lab_nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Disposal Of Interest In Grain LNG, Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities" xlink:to="lab_nggtf_DisposalOfInterestInGrainLNGClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock_label_en" xlink:label="lab_nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure Of Exceptional Items And Remeasurements [Text Block]</link:label>
    <link:label id="lab_nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock_documentation_en" xlink:label="lab_nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Disclosure Of Exceptional Items And Remeasurements</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock" xlink:to="lab_nggtf_DisclosureOfExceptionalItemsAndRemeasurementsTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities_label_en" xlink:label="lab_nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash Outflows On Derivatives Classified As Financing Activities</link:label>
    <link:label id="lab_nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Cash Outflows On Derivatives Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities" xlink:to="lab_nggtf_CashOutflowsOnDerivativesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForContractLiabilities_label_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Contract Liabilities</link:label>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForContractLiabilities_documentation_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Contract Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DescriptionOfAccountingPolicyForContractLiabilities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DescriptionOfAccountingPolicyForContractLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DescriptionOfAccountingPolicyForContractLiabilities" xlink:to="lab_nggtf_DescriptionOfAccountingPolicyForContractLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities_label_en" xlink:label="lab_nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash Inflows On Derivatives Classified As Financing Activities</link:label>
    <link:label id="lab_nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Cash Inflows On Derivatives Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities" xlink:to="lab_nggtf_CashInflowsOnDerivativesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities_label_en" xlink:label="lab_nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net Movements In Short-Term Financial Investments Classified As Investing Activities</link:label>
    <link:label id="lab_nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Net Movements In Short-Term Financial Investments Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities" xlink:to="lab_nggtf_NetMovementsInShortTermFinancialInvestmentsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_ScripDividendRelatedShareIssue_label_en" xlink:label="lab_nggtf_ScripDividendRelatedShareIssue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Scrip Dividend-Related Share Issue</link:label>
    <link:label id="lab_nggtf_ScripDividendRelatedShareIssue_documentation_en" xlink:label="lab_nggtf_ScripDividendRelatedShareIssue" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Scrip Dividend-Related Share Issue</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_ScripDividendRelatedShareIssue" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_ScripDividendRelatedShareIssue"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_ScripDividendRelatedShareIssue" xlink:to="lab_nggtf_ScripDividendRelatedShareIssue" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DisclosureOfSensitivitiesTextBlock_label_en" xlink:label="lab_nggtf_DisclosureOfSensitivitiesTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure Of Sensitivities [Text Block]</link:label>
    <link:label id="lab_nggtf_DisclosureOfSensitivitiesTextBlock_documentation_en" xlink:label="lab_nggtf_DisclosureOfSensitivitiesTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Disclosure Of Sensitivities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DisclosureOfSensitivitiesTextBlock" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DisclosureOfSensitivitiesTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DisclosureOfSensitivitiesTextBlock" xlink:to="lab_nggtf_DisclosureOfSensitivitiesTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax_label_en" xlink:label="lab_nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash Flow Hedges Transferred To The Statement Of Financial Position, Net Of Tax</link:label>
    <link:label id="lab_nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax_documentation_en" xlink:label="lab_nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Cash Flow Hedges Transferred To The Statement Of Financial Position, Net Of Tax</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax" xlink:to="lab_nggtf_CashFlowHedgesTransferredToTheStatementOfFinancialPositionNetOfTax" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities_label_en" xlink:label="lab_nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash Flows Relating To Exceptional Items Classified As Investing Activities</link:label>
    <link:label id="lab_nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Cash Flows Relating To Exceptional Items Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities" xlink:to="lab_nggtf_CashFlowsRelatingToExceptionalItemsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations_label_en" xlink:label="lab_nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase (Decrease) In Cash And Cash Equivalents Through Reclassification To Held For Sale And Discontinued Operations</link:label>
    <link:label id="lab_nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations_documentation_en" xlink:label="lab_nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Increase (Decrease) In Cash And Cash Equivalents Through Reclassification To Held For Sale And Discontinued Operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations" xlink:to="lab_nggtf_IncreaseDecreaseInCashAndCashEquivalentsThroughReclassificationToHeldForSaleAndDiscontinuedOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_AdjustmentsForExceptionalItemsAndRemeasurements_label_en" xlink:label="lab_nggtf_AdjustmentsForExceptionalItemsAndRemeasurements" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments For Exceptional Items And Remeasurements</link:label>
    <link:label id="lab_nggtf_AdjustmentsForExceptionalItemsAndRemeasurements_documentation_en" xlink:label="lab_nggtf_AdjustmentsForExceptionalItemsAndRemeasurements" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments For Exceptional Items And Remeasurements</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_AdjustmentsForExceptionalItemsAndRemeasurements" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_AdjustmentsForExceptionalItemsAndRemeasurements"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_AdjustmentsForExceptionalItemsAndRemeasurements" xlink:to="lab_nggtf_AdjustmentsForExceptionalItemsAndRemeasurements" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock_label_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Impact Of Climate Change And The Transition Of Net Zero [Text Block]</link:label>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock_documentation_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Impact Of Climate Change And The Transition Of Net Zero</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock" xlink:to="lab_nggtf_DescriptionOfAccountingPolicyForImpactOfClimateChangeAndTheTransitionOfNetZeroTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities_label_en" xlink:label="lab_nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disposal Of Interest In The UK Gas Transmission Business Classified As Investing Activities</link:label>
    <link:label id="lab_nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Disposal Of Interest In The UK Gas Transmission Business Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities" xlink:to="lab_nggtf_DisposalOfInterestInTheUKGasTransmissionBusinessClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations_label_en" xlink:label="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other Comprehensive Income/(Loss) For The Year, Net Of Tax, From Discontinued Operations</link:label>
    <link:label id="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations_documentation_en" xlink:label="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Other Comprehensive Income/(Loss) For The Year, Net Of Tax, From Discontinued Operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations" xlink:to="lab_nggtf_OtherComprehensiveIncomeLossForTheYearNetOfTaxFromDiscontinuedOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems_label_en" xlink:label="lab_nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments For Cash Flows Relating To Exceptional Items</link:label>
    <link:label id="lab_nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems_documentation_en" xlink:label="lab_nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments For Cash Flows Relating To Exceptional Items</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems" xlink:to="lab_nggtf_AdjustmentsForCashFlowsRelatingToExceptionalItems" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DisclosureOfContractLiabilitiesTextBlock_label_en" xlink:label="lab_nggtf_DisclosureOfContractLiabilitiesTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure Of Contract Liabilities [Text Block]</link:label>
    <link:label id="lab_nggtf_DisclosureOfContractLiabilitiesTextBlock_documentation_en" xlink:label="lab_nggtf_DisclosureOfContractLiabilitiesTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Disclosure Of Contract Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DisclosureOfContractLiabilitiesTextBlock" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DisclosureOfContractLiabilitiesTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DisclosureOfContractLiabilitiesTextBlock" xlink:to="lab_nggtf_DisclosureOfContractLiabilitiesTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DisposalOfInterestInTheUKElectricitySystemOperator_label_en" xlink:label="lab_nggtf_DisposalOfInterestInTheUKElectricitySystemOperator" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disposal Of Interest In The UK Electricity System Operator</link:label>
    <link:label id="lab_nggtf_DisposalOfInterestInTheUKElectricitySystemOperator_documentation_en" xlink:label="lab_nggtf_DisposalOfInterestInTheUKElectricitySystemOperator" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Disposal Of Interest In The UK Electricity System Operator</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DisposalOfInterestInTheUKElectricitySystemOperator" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DisposalOfInterestInTheUKElectricitySystemOperator"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DisposalOfInterestInTheUKElectricitySystemOperator" xlink:to="lab_nggtf_DisposalOfInterestInTheUKElectricitySystemOperator" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_019dbaa6-e829-77f3-91f1-8c565846e954_periodStartLabel_en" xlink:label="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents if different from statement of financial position</link:label>
    <link:label id="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_019dbaa6-e829-730f-ab1c-4179816cbaee_periodEndLabel_en" xlink:label="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents if different from statement of financial position</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_019dbaa6-e829-7fcc-8cb0-43121b6c86e2_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities_label_en" xlink:label="lab_nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disposal Of Interest In National Grid Renewables, Classified As Investing Activities</link:label>
    <link:label id="lab_nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Disposal Of Interest In National Grid Renewables, Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities" xlink:to="lab_nggtf_DisposalOfInterestInNationalGridRenewablesClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_ComprehensiveIncomeFromDiscontinuedOperations_019ddf38-7e03-7af8-9d79-47b37284769e_totalLabel_en" xlink:label="lab_ifrs-full_ComprehensiveIncomeFromDiscontinuedOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Comprehensive Income For The Year From Discontinued Operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncomeFromDiscontinuedOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeFromDiscontinuedOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ComprehensiveIncomeFromDiscontinuedOperations" xlink:to="lab_ifrs-full_ComprehensiveIncomeFromDiscontinuedOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_ComprehensiveIncomeFromContinuingOperations_019ddf38-3b4d-7a8e-b506-d25be9800233_totalLabel_en" xlink:label="lab_ifrs-full_ComprehensiveIncomeFromContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Comprehensive Income For The Year From Continuing Operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncomeFromContinuingOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeFromContinuingOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ComprehensiveIncomeFromContinuingOperations" xlink:to="lab_ifrs-full_ComprehensiveIncomeFromContinuingOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities_label_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Other Non-Current Liabilities</link:label>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities_documentation_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Other Non-Current Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities" xlink:to="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_NetAssetsLiabilities_019dbaa6-e829-7808-a736-7634226835db_totalLabel_en" xlink:label="lab_ifrs-full_NetAssetsLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Assets (liabilities)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NetAssetsLiabilities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NetAssetsLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_NetAssetsLiabilities" xlink:to="lab_ifrs-full_NetAssetsLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure_label_en" xlink:label="lab_nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net Losses In Respect Of Cash Flow Hedging Of Capital Expenditure</link:label>
    <link:label id="lab_nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure_documentation_en" xlink:label="lab_nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Net Losses In Respect Of Cash Flow Hedging Of Capital Expenditure</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure" xlink:to="lab_nggtf_NetLossesInRespectOfCashFlowHedgingOfCapitalExpenditure" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_ConsolidatedIncomeStatementLineItems_label_en" xlink:label="lab_nggtf_ConsolidatedIncomeStatementLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated Income Statement [Line Items]</link:label>
    <link:label id="lab_nggtf_ConsolidatedIncomeStatementLineItems_documentation_en" xlink:label="lab_nggtf_ConsolidatedIncomeStatementLineItems" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Consolidated Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_ConsolidatedIncomeStatementLineItems" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_ConsolidatedIncomeStatementLineItems"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_ConsolidatedIncomeStatementLineItems" xlink:to="lab_nggtf_ConsolidatedIncomeStatementLineItems" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_NetGainsLossesInRespectOfCostOfHedging_label_en" xlink:label="lab_nggtf_NetGainsLossesInRespectOfCostOfHedging" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net Gains/(Losses) In Respect Of Cost Of Hedging</link:label>
    <link:label id="lab_nggtf_NetGainsLossesInRespectOfCostOfHedging_documentation_en" xlink:label="lab_nggtf_NetGainsLossesInRespectOfCostOfHedging" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Net Gains/(Losses) In Respect Of Cost Of Hedging</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_NetGainsLossesInRespectOfCostOfHedging" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_NetGainsLossesInRespectOfCostOfHedging"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_NetGainsLossesInRespectOfCostOfHedging" xlink:to="lab_nggtf_NetGainsLossesInRespectOfCostOfHedging" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets_label_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Other Non-Current Assets</link:label>
    <link:label id="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets_documentation_en" xlink:label="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Description Of Accounting Policy For Other Non-Current Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets" xlink:to="lab_nggtf_DescriptionOfAccountingPolicyForOtherNonCurrentAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_019dbaa6-e829-7941-87b1-65ab38992c38_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
    <link:label id="lab_nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity_label_en" xlink:label="lab_nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase (Decrease) Though Other Movements In Non-Controlling Interests, Equity</link:label>
    <link:label id="lab_nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity_documentation_en" xlink:label="lab_nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Increase (Decrease) Though Other Movements In Non-Controlling Interests, Equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity" xlink:href="8R95QZMKZLJX5Q2XR704-2026-03-31.xsd#nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity" xlink:to="lab_nggtf_IncreaseDecreaseThoughOtherMovementsInNonControllingInterestsEquity" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
